var Exp00200_lancamentoExpedicaoPedido_Repository = function(localStorageEngine, restEngine) {
    
    this.retornaUnidadeLogada = function(){
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": "FILIAL_LOGADA"
            }
        ];
        return localStorageEngine.download("ped#/crud/filial", filter);
	};
    
    this.retornaEmpresa = function(cdempresa) {
        var filter = [
            {
                "name": "CDEMPRESA",
                "operator": "=",
                "value": cdempresa
            }
        ];
        return localStorageEngine.download("ped#/crud/empresa", filter);
    };  

    this.expedirPedido = function(data) {
        return restEngine.post('ped_expedicao#/expedir_pedido', {
            "requestType": "DataSet",
            "dataset": data
        });
    };
    
    this.getEstoqueData = function(row) {
        return restEngine.post('ped#/getEstoqueItemData', {
            "requestType": "Row",
            "row": row
        });
    };
    
};

Configuration(function(ContextRegister) {
    ContextRegister.register('Exp00200_lancamentoExpedicaoPedido_Repository', Exp00200_lancamentoExpedicaoPedido_Repository);
});